## ros-dashing-rcpputils 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rcpputils)

find_package(ament_cmake REQUIRED)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(NOT WIN32)
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

include_directories(include)

ament_export_include_directories(include)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)

  if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wthread-safety -Werror)
  endif()

  ament_lint_auto_find_test_dependencies()

  ament_add_gtest(test_basic test/test_basic.cpp)

  ament_add_gtest(test_split test/test_split.cpp)

  ament_add_gtest(test_filesystem_helper test/test_filesystem_helper.cpp)

  ament_add_gtest(test_find_and_replace test/test_find_and_replace.cpp)
endif()

ament_package()

install(
  DIRECTORY include/
  DESTINATION include)

=== debian/changelog ===
ros-dashing-rcpputils (0.1.1-1bionic) bionic; urgency=high

  * Add function 'find_and_replace' (#13 <https://github.com/ros2/rcpputils/issues/13>)
  * Contributors: Jacob Perron

 -- Emerson Knapp <eknapp@amazon.com>  Tue, 30 Jul 2019 07:00:00 -0000

ros-dashing-rcpputils (0.1.0-1bionic) bionic; urgency=high

  * Fixed leak in test_basic.cpp. (#9 <https://github.com/ros2/rcpputils/issues/9>)
  * Added CODEOWNERS file. (#10 <https://github.com/ros2/rcpputils/issues/10>)
  * Added commonly-used filesystem helper to utils. (#5 <https://github.com/ros2/rcpputils/issues/5>)
  * Fixed thread_safety_annotation filename to .hpp. (#6 <https://github.com/ros2/rcpputils/issues/6>)
  * Added section about DCO to CONTRIBUTING.md.
  * Added thread annotation macros. (#2 <https://github.com/ros2/rcpputils/issues/2>)
  * Contributors: Dirk Thomas, Emerson Knapp, Michael Carroll, Thomas Moulard

 -- Emerson Knapp <eknapp@amazon.com>  Sat, 13 Apr 2019 07:00:00 -0000

=== debian/control ===
Source: ros-dashing-rcpputils
Section: misc
Priority: extra
Maintainer: Emerson Knapp <eknapp@amazon.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gtest, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-rcpputils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-ros-workspace
Description: Package containing utility code for C++.
 Currently only Clang thread safety annotation macros

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-rcpputils//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
